## org.apache.batik.css.engine.sac
Class CSSDirectAdjacentSelector

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractSiblingSelector
          org.apache.batik.css.engine.sac.CSSDirectAdjacentSelector

All Implemented Interfaces:
  ExtendedSelector, Selector, SiblingSelector

public class CSSDirectAdjacentSelector
extends AbstractSiblingSelector

This class provides an implementation for the `DescendantSelector` interface.

Field Summary

Fields inherited from class org.apache.batik.css.engine.sac.AbstractSiblingSelector
`nodeType, selector, simpleSelector`

Fields inherited from interface org.w3c.css.sac.SiblingSelector
`ANY_NODE`

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`CSSDirectAdjacentSelector(short type, Selector parent, SimpleSelector simple)` Creates a new CSSDirectAdjacentSelector object.

Method Summary
`void` `fillAttributeSet(java.util.Set attrSet)` Fills the given set with the attribute names found in this selector.
`short` `getSelectorType()` SAC: Implements `Selector.getSelectorType()`.
`boolean` `match(org.w3c.dom.Element e, java.lang.String pseudoE)` Tests whether this selector matches the given element.
`java.lang.String` `toString()` Returns a representation of the selector.

Methods inherited from class org.apache.batik.css.engine.sac.AbstractSiblingSelector
`equals, getNodeType, getSelector, getSiblingSelector, getSpecificity`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CSSDirectAdjacentSelector

    public CSSDirectAdjacentSelector(short type,
                                     Selector parent,
                                     SimpleSelector simple)

  Creates a new CSSDirectAdjacentSelector object.

Method Detail

### getSelectorType

    public short getSelectorType()

  SAC: Implements `Selector.getSelectorType()`.

### match

    public boolean match(org.w3c.dom.Element e,
                         java.lang.String pseudoE)

  Tests whether this selector matches the given element.

### fillAttributeSet

    public void fillAttributeSet(java.util.Set attrSet)

  Fills the given set with the attribute names found in this selector.

### toString

    public java.lang.String toString()

  Returns a representation of the selector.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.